<refreshable-panel [dataProvider]="this">
    <refreshable-panel-header [title]="'Courses'"></refreshable-panel-header>
    <refreshable-panel-content>
        <div class="row panel hidden-xs hidden-sm">
            <div class="col-md-3">
                {{ "CourseTitle" | localize }}
            </div>
            <div class="col-md-3">
                {{ "Credits" | localize }}
            </div>
            <div class="col-md-3">
                {{ "Grade" | localize }}
            </div>
            <div class="col-md-3">
                {{ "TotalPoints" | localize }}
            </div>
        </div>
        <div class="row panel" *ngFor="let course of courses">
            <div class="col-md-3">
                <span class="hidden-md hidden-lg"> {{"CourseTitle" | localize}} </span>
                <div class="well well-sm">
                    {{ course.course.title }} </div>
            </div>
            <div class="col-md-3">
                <span class="hidden-md hidden-lg"> {{"Credits" | localize}}
                </span>
                <div class="well well-sm"> {{ course.course.credits }}
                </div>
            </div>
            <div class="col-md-3">
                <span class="hidden-md hidden-lg"> {{"Grade" | localize}} </span>
                <div class="well well-sm">{{ toGrade(course.grade) }} </div>
            </div>
            <div class="col-md-3">
                <span class="hidden-md hidden-lg"> {{"TotalPoints" | localize}} </span>
                <div class="well well-sm">{{ course.totalPoints }} </div>
            </div>
        </div>
    </refreshable-panel-content>
</refreshable-panel>
